curl --request POST \
--url https://external.pleo.io/v0/aggregations/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"includeArchived": true,
"tagGroupIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"textSearch": "<string>"
}
'import requests
url = "https://external.pleo.io/v0/aggregations/tags"
payload = {
"archived": True,
"includeArchived": True,
"tagGroupIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"textSearch": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
archived: true,
includeArchived: true,
tagGroupIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
textSearch: '<string>'
})
};
fetch('https://external.pleo.io/v0/aggregations/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"archived": false,
"code": "12345",
"companyId": "c04c7e9e-6c15-11ee-b962-0242ac120003",
"createdAt": "2023-08-23T03:11:48Z",
"dimensions": [
{
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"displayOrder": 1,
"id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
"name": "Project",
"value": "<string>",
"visible": false
}
],
"group": {
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
"name": "c04c7e9e-6c15-11ee-b962-0242ac120003"
},
"id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
"updatedAt": "2023-08-23T03:11:48Z",
"name": "Lunch allowance"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {},
"after": "<string>",
"before": "<string>",
"limit": 123,
"offset": 123,
"sortingKeys": [
"<string>"
],
"sortingOrder": [
"ASC"
]
},
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"total": 123
}
}Search and return aggregated tags
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Query Parameters
Unique identifier of the company whose tags you are searching for.
Lower bound of the page of data to return (cannot be used together with [after] or [offset]).
Upper bound of the page of data to return (cannot be used together with [before] or [offset]).
Offset of the page of data to return (cannot be used together with [before] or [after]).
The maximum amount of items to return.
The keys to sort the results by.
The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST Body
True if only archived tags should be returned, False if only non-archived tags should be returned. if provided, includeArchived flag will be ignored. If not provided or null, archived and non-archived tags will be returned depending on the includeArchived flag.
Boolean flag to determine whether archived tags should be included. If not provided, only non-archived tags will be returned.
List of tag group IDs that you are searching for.
List of tag group IDs that you are searching for.
List of tag IDs that you are searching for.
List of tag IDs that you are searching for.
Free text search for tags by name.
Was this page helpful?